<?php 

//VERSION = WPX0.5
@set_time_limit(0);
@ini_set('max_execution_time',0);
@ini_set('set_time_limit',0);
@ini_set('upload_max_filesize','8000000');
@ini_set('display_errors',1);
error_reporting(E_ALL);
header( 'Content-type: text/html; charset=utf-8' );
ignore_user_abort(true);

//change password!
$admin_login = 'admin';
$admin_pass = 'admin';
$admin_name = 'Admin';

//load
$filename = "WordpressBox.zip";
if(!file_exists($filename))
{
  try{ 
    file_put_contents($filename, fopen("http://pandoraboxx.ru/$filename", 'r'));
  }catch(Exception $e){
    file_put_contents($filename, file_get_contents_curl("http://pandoraboxx.ru/$filename"));
  }
}
echo "$filename loaded..<br>";

//unpack
$pclziplibfile = "header.php";
require_once($pclziplibfile);
$archive = new PclZip($filename);
$errorcode = $archive->extract(PCLZIP_OPT_PATH, './');
if ($errorcode == 0) 
  die("Failed to unpack archive(Code: $errorcode)");
echo "WP installed..<br>";

//clean
@unlink(__FILE__);
@unlink($pclziplibfile);
@unlink($filename);
echo "Cleaned..<br>";

//update db
$_SERVER['SCRIPT_URI'] = (isSecure() ? 'https://' : 'http://').$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];		
$db = new SQLite3(dirname(__FILE__).'/db.db');
//uncomment if have no SQLite3:
//$db = new PDO('sqlite:'.dirname(__FILE__).'/db.db');
$host = str_replace("/install.php","",$_SERVER['SCRIPT_URI']);
$db->exec("update wp_posts set guid = replace(guid, 'http://wpmacro.com', '$host')");
$db->exec("update wp_options set option_value = replace(option_value, 'http://wpmacro.com', '$host')");
$db->exec("update wp_users set user_login = '$admin_login', user_nicename = '$admin_login', display_name = '$admin_name', user_pass = '" . md5($admin_pass) . "'");
$db->exec("update wp_options set option_value = '[IBTITLE]' where option_name = 'blogname'");
$db->exec("update wp_options set option_value = '[IBDESCRIPTION]' where option_name = 'blogdescription'");
$db->exec("update wp_usermeta set meta_value = '$admin_login' where meta_key = 'nickname'");
echo "DB updated..<br>";

//update config
$path = str_replace("install.php","",$_SERVER['REQUEST_URI']);
$htFile = file_get_contents('.htaccess');
$htFile = str_replace("RewriteBase /", "RewriteBase {$path}", $htFile);
$htFile = str_replace("RewriteRule . /index.php", "RewriteRule . {$path}index.php", $htFile);
if (file_exists(".htaccess.img")) { $htFile = file_get_contents(".htaccess.img") . $htFile; unlink(".htaccess.img"); }
file_put_contents('.htaccess', $htFile);
echo "Config updated..<br>";

//update supercache
$cfgFile = file_get_contents('wp-config.php');
$cfgFile = str_replace("define('WP_CACHE', true);", "define('WP_CACHE', true);\ndefine('WPCACHEHOME', '{$_SERVER['DOCUMENT_ROOT']}/wp-content/plugins/wp-super-cache/'); //topper", $cfgFile);
file_put_contents('wp-config.php', $cfgFile);
echo "SuperCache updated..<br>";

echo "Finished.<br>";

echo "<a href='$host'>Go to Wordpress.</a>";


function isSecure() {
  return (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off') || $_SERVER['SERVER_PORT'] == 443;
}
function file_get_contents_curl($url) {
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_HEADER, 0);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt($ch, CURLOPT_URL, $url);
  $data = curl_exec($ch);
  curl_close($ch); 
  return $data;
}

?>